using System.Collections.Generic;
using System.Linq;

namespace Cmdjy.Dal.Queryes
{
    /// <summary>
    /// 数据查询基础接口
    /// </summary>
    /// <typeparam name="T">数据类型</typeparam>
    public interface IDbQuery<T>
    {
        T GetOne<TKey>(TKey id);
        IEnumerable<T> GetAll();
        void Insert(T obj);
        IQueryable<T> GetQuery(DjyDbContext db);
    }
}
